Soundside.de PatternEditor Help File

HD8 / HD16 PatternEditor Help File

  • Introduction
  • Quick Start Guide
  • FAQ
  • Menu Entries
  • Toolbar Buttons
  • Get The Latest News
  • Version History

Introduction

Have you ever tried to play the Drums with just two fingers? How about playing a Bass pattern repeatedly without getting tired? Well writing patterns for, and on something as small, (but portable!) as the Zoom is not any easier.
The Pattern Editor will quickly become your most prized tool as it allows the artist to set up and sample the results right on the PC before even bothering to try to add a guitar or vocal recording track to it.
Perfect upon implementation, the patterns you come up with will be predictable and available in an order of menu that you can understand and is particular to your design. No more pattern positions taken up with parts you won’t use. No more confusing pattern titles that mean nothing to you. This tool can change everything regarding pattern names, arrangement and contents.
It also allows you to add instruments to the percussion menu and remove others if you choose. This is one of the rhythm management tools that you will be using quite a lot of the time so read the instructions thoroughly and make yourself familiar with every aspect of the Pattern Editing process to fully realize your song writing potential. With improvements and future options opening up all the time this will be the workhorse tool for Zoom rhythm composition.

Quick Start Guide

In a nutshell

To use the Editor with your HD Zoom recorder do like this:
  1. Connect the HD via USB to your PC
  2. Bring the HD to USB mode [Shift][USB]
  3. Start the editor
  4. Select the menu "File/Load H8/H16 Seq File"
  5. Use the dialog box to find the folder HD_USR
  6. Select the project you like to change
    7. Note: Your first project will be called PROJ000, the next PROJ001 and so on. You can't see the names of your project in USB mode.
  7. Select the file RHYTHM.SEQ
    8. Note: The file RHYTHM.SEQ contains all the patterns and songs for this project.
  8. Now modify the patterns to your liking
  9. Save your .seq file
  10. Close the editor
  11. Make sure to disconnect the Zoom recorder via the Windows feature 'Safely Remove Hardware'
    12. Note: In case you disconnect your USB connection or terminate the USB connection via the HD - your .seq file may be corruped and all your patterns and songs may be lost. Allways disconnect the USB connection via Windows first.
  12. After Windows reports 'Save to remove hardware'. Terminate the USB connection via [Shift][USB] on your HD
  13. Now your new pattern can be used in the HD

Basic Tutorial

After the HD is set to USB mode [Shift][USB], start the editor and load a .seq file
Select your Zoom HD User folder "HD_USR"
Note: Your first project will be called PROJ000, the next PROJ001 and so on. You can't see the name of your project in USB mode.
Note: The file RHYTHM.SEQ contains all the patterns and songs for this project.
The first pattern will be loaded automatically. Press the '>' button to play this pattern. You need a soundcard with Midi playback to be able to use the PatternEditor.
Press the magnification glass to see the details. (right click to switch it on and off)
Click with the right mouse key on the upper half of the button to increase the field width. A click on the lower half will decrease the field width.
Use the lower scrollbar to go to the last measure of this pattern. Add an additional "Crash Cymbal" event by clicking with the mouse at the right place.
The menu "Pattern/Edit Pattern Field" can be used to make general settings.
Here you see that this pattern is 4 measures long, has a 4/4 beat and a resolution of 48 ppq (the highest possible on the HD). The maximum resolution (48 ppq = 48 parts per quarter note) will be set after each load of a pattern. For this pattern can the resolution be reduced to 4ppq = 4 parts per quarter note - so the shortest note is a 1/16 note. Set Divisions [ppq] to 4.
After changing the resolution to 4ppq can all 4 measures be displayed at the same time.
A click on an event ...
... will remove this event.
Lets add some "Hihat Open" events. You can listen to the result by starting the playback at any time. And you can even edit the pattern during playback.
... do the same in beat 4 of the third measure. The first beat of each measure is displayed in red and has the number of the current measure. All other beats are counted (here 2,3,4) and displayed in black color.
... here we add an additional "Snare" event.
... save the modified pattern.
... and terminate the editor.
Make sure to disconnect the Zoom recorder via the Windows feature 'Safely Remove Hardware'. You find it at the right part of your taskbar.
Make sure to select the right "USB Mass Storage Device".
After Windows reports 'Save to remove hardware'. Terminate the USB connection via [Shift][USB] on your HD. Now your new pattern can be used in the HD.

FAQ

  • How can I build my own Drum Patterns ?
  • What is the meaning of the "1...2...3...4" over the event field ?
  • How to get more than one measure ?
  • How to create beats other than 4/4 ?
  • How to get a higher resolution than 1/16 ?
  • What is a division and what is the shortest event ?
  • How can I build my own Bass Patterns ?
  • How long will a bass event sound ?
  • How can I use other drum instruments as the pre-defined ones ?
  • Why are some drum instruments names in the 'instruments combo box' only numbers ?
  • How to prevent data loss ?
  • How can I listen to patterns in seq files ?
  • How to change the playback speed?
  • I like to have a faster playback speed than 180 bpm I like to have a lower playback speed than 60 bpm How can I set the playback speed with a higher resolution (e.g. 124 bpm)
  • How to store a modified pattern ?
  • How to store a new pattern ?
  • How to copy a pattern ?
  • How to copy a pattern from one song file to another ?
  • I love the drums from one pattern but don't like the bass of this pattern. How can I copy the bass part?
  • How to change the pattern name ?
  • How to add new patterns without changing the old patterns ?
  • How to mute all drum instruments ?
  • How to mute one single drum/bass instrument ?
  • How to mute one single drum event ?
  • How to mute all bass instruments ?
  • Is there a solo function ?
  • How to change the Midi playback volume for all drum instruments ?
  • How to change the Midi playback volume for all bass instruments ?
  • Can I set the volume for one single event ?
  • How to change the volume for one drum instrument / bass note (Event Volume) ?
  • What is the difference between the 'Event Volume' and the 'Midi playback volume' ?
  • If I set a new event I always get the default volume 6, can I change it ?
  • I'd like to temporarily switch off one single drum event. After I switch it on I always get the default volume. Can this be changed ?
  • How can I change the octave of the bass?
  • Do I have to change each single bass event ?
  • Can I zoom the event field ?

How can I build my own Drum Patterns ?

  1. Click a field to trigger the instruments at this position
    2. Note: You see a dark rectangle with a green border
  2. Click again to deactivate it
  3. Press the '>' button to hear the pattern

What is the meaning of the "1...2...3...4" over the event field ?

  1. After the start of the PatternEditor one measure with a 4/4 beat is shown
  2. The red numbers mark the first beat of a measure
  3. The black numbers mark a beat
  4. The dots mark a 1/16
  5. Right after the start the shortest event is a 1/16

How to get more than one measure ?

  1. Click the menu "Pattern/Edit Pattern Field"
  2. The maximum number of measures is 12
    3. * LE Version maximum is 4 measures

How to create beats other than 4/4 ?

  1. Click the menu "Pattern/Edit Pattern Field "
  2. You can select 1/4 to 8/4
  3. The Zoom can't handle 6/8, please use 3/4
    4. Note: If you change the number of beats the event field will be cleared

How to get a higher resolution than 1/16 ?

  1. Click the menu "Pattern/Edit Pattern Field "
  2. Select 8, 24 or 48 divisions (parts per quarter note)

What is a division and what is the shortest event ?

  1. Division = 4 -> 4 events per 1/4 -> 1/16
  2. Division = 8 -> 8 events per 1/4 -> 1/32
  3. Division = 24 -> 24 events per 1/4 -> 1/96
  4. Division = 48 -> 48 events per 1/4 -> 1/192

How can I build my own Bass Patterns ?

  1. The drums and bass pattern in the Zoom are combined
  2. Build a pattern with bass in the same way as a drum-only pattern
  3. Click a field to trigger the instruments at this position
    4. Note: A dark rectangle with a green border and a '1' in the middle will be shown
  4. Click again to de-activate it
  5. Press the small '>' button to hear the pattern

How long will a bass event sound ?

  1. The bass sound can be set to polyphonic
    2. * LE Version is monophonic only
  2. A bass event will sound until another bass event overrides the old one
  3. To stop the sound of a bass event without another bass event use a 'middle click'
    4. Note: A a red rectangle will be shown
    Use 'shift and click' if your have a mouse without a 'middle click'

How can I use other drum instruments as the pre-defined ones ?

  1. After the start of the PatternEditor you get the most common drum instruments
  2. Select other drum instruments with the 'instruments field' left of the event field

Why are some drum instruments names in the 'instruments combo box' only numbers ?

  1. The numbers are the Midi Note Numbers for drum instruments
  2. The names are the names for the internal Zoom drum samples
  3. Some instruments are only available in additional soundsets
    4. Note: You can get additional soundsets from www.soundside.de

How to prevent data loss ?

  1. Before you start to modifiy any .seq file make a backup copy.
  2. Use the 'Save As' feature to create a copy of the current .seq file

How can I listen to patterns in seq files ?

  1. Download a Zoom seq file e.g. from the Zoom homepage or copy one from your Zoom .seq files to your hard disk
  2. Use File/'Load Seq File' to select this .seq file
  3. Select the pattern you like with the combo box (above the event field)
  4. Click the menu File/'Import Pattern' or activate the auto checkbox
    5. * LE Version will load the pattern automatically all the time
  5. Press the '>' button

How to change the playback speed?

  1. Use the combo box at the right of the play button '>'

I like to have a faster playback speed than 180 bpm I like to have a lower playback speed than 60 bpm How can I set the playback speed with a higher resolution (e.g. 124 bpm)

  1. The combo box has only the most important presets 60-180
  2. To get other speed settings just enter the speed you want (1..400) into the combo box

How to store a modified pattern ?

  1. Click the menu File/'Save'
  2. You can load the modified .seq file into the Zoom

How to store a new pattern ?

  1. Use File/'Load Seq File' to select a .seq file first
  2. Choose an existing pattern to override it or use an 'empty' pattern
  3. Click the menu File/'Save'
  4. You can load this file into the Zoom
    5. * You can't store a file before you have loaded a .seq file in the LE Version

How to copy a pattern ?

  1. Use File/'Load Seq File' to select the source .seq song file
  2. Select the pattern you like to copy with the combo box (above the event field)
  3. Click the menu Pattern/'Copy'
  4. Select the pattern you wish to replace
  5. Click the menu File/'Save'

How to copy a pattern from one song file to another ?

  1. Use File/'Load Seq File' to select the source .seq song file
  2. Select the pattern you like to copy with the combo box (above the event field)
  3. Click the menu File/'Import Pattern'
  4. Use File/'Load Seq File' to select the destination .seq song file
  5. Select the pattern you wish to replace
  6. Click the menu File/'Save'
    7. * LE Version can't do this

I love the drums from one pattern but don't like the bass of this pattern. How can I copy the bass part?

  1. Use File/'Load Seq File' to select this .seq song file
  2. Select the first 'bad' bass pattern
  3. Uncheck the 'Bass' and check the 'Drums'
  4. Click the menu File/'Import Pattern'
  5. Select the 'nice' bass pattern
  6. Check the 'Bass' and uncheck the 'Drums'
  7. Click the menu File/'Add Pattern'
  8. Select the first 'bad' bass pattern
  9. Click the menu File/'Save'
    10. Note: The 'bad' bass pattern will be replaced with the 'nice' bass pattern
  10. Repeat it for all other 'bad' bass pattern
    11. * LE Version can't do this

How to change the pattern name ?

  1. Select the pattern you'd like to change
  2. Click the menu 'Pattern/Rename'
  3. Enter the new name
    4. Note: For best display on the Zoom use only upper case letters and numbers

How to add new patterns without changing the old patterns ?

  1. Override one of the 'empty' pattern
  2. The Zoom has up to 511 pattern in total in each seq file !

How to mute all drum instruments ?

  1. 'click' the 'Drums' button
  2. 'click' again to de-activate
    3. * LE Version can't do this

How to mute one single drum/bass instrument ?

  1. Click on the 'X' on the left side of the instrument
    2. Note: An yellow 'X' will be shown after mute is activated
    * LE Version can't do this

How to mute one single drum event ?

  1. Click this event to mute it
  2. 'Middle click' this event to deactivate it with the same volume
    3. Note: If you deactivate it with a 'click' you set this event with the default volume
    Use 'shift and click' if your have a mouse without a 'middle click'
    * LE Version can't do this

How to mute all bass instruments ?

  1. 'click' the 'Bass' button
  2. 'click' again to de-activate

Is there a solo function ?

  1. Yes, click on the 'S' left side of the instrument
    2. Note: An red 'S' will be shown after solo is activated
    * LE Version can't do this

How to change the Midi playback volume for all drum instruments ?

  1. 'Right Click' on the 'Drums' button.
  2. to decrease the volume click on the lower part of the button
  3. to increase the volume click on the upper part of the button (max=8)

How to change the Midi playback volume for all bass instruments ?

  1. 'Right Click' on the 'Bass' button.
  2. to decrease the volume click on the lower part of the button
  3. to increase the volume click on the upper part of the button (max=8)
    4. * LE Version can't do this

Can I set the volume for one single event ?

  1. Yes, move the mouse to the event you'd like to change
  2. 'Right click'. A context menu will be visible 'Level (single)' (0..15)
  3. Click the volume you like (1=min volume, 8=max volume)

How to change the volume for one drum instrument / bass note (Event Volume) ?

  1. Hold the 'Ctrl' Key on your keyboard
  2. Move the mouse to the event you'd like to change
  3. 'Right click'. A context menu will be visible 'Level (all)' (1..8)
  4. Click the volume you like (1=min volume, 8=max volume)

What is the difference between the 'Event Volume' and the 'Midi playback volume' ?

  1. The ' Midi playback volume' will change nothing on your Zoom.
  2. The 'Event Volume' will be generated for the Zoom as well. This volume sets the volume for each instrument individually !

If I set a new event I always get the default volume 6, can I change it ?

  1. Yes, hold the 'Alt' or 'Shift' Key on your keyboard
  2. Move the mouse to the event you'd like to change
  3. 'Right click'. A context menu will be visible 'Level (new)' (1..8)
  4. Click the new default volume you like (1=min volume, 8=max volume)

I'd like to temporarily switch off one single drum event. After I switch it on I always get the default volume. Can this be changed ?

  1. Yes, use a 'middle click' to switch it on

How can I change the octave of the bass?

  1. Move the mouse to the event you like to change
  2. Click. A context menu will be visible 'Transpose (single)' (0..3)
  3. 0=c0-b0, 1=c1-b1, ...

Do I have to change each single bass event ?

  1. No, Hold the 'Ctrl' Key on your keyboard to change all events in this line
  2. Hold the 'Alt' or 'Shift' key to set a new default

Can I zoom the event field ?

  1. Yes, you can zoom using the zoom button
  2. Click the zoom button to make switch between zoom on/off
  3. 'Right click' to change the factor
  4. to get smaller events visible click on the lower part of the button (max 4 measures)
  5. to get a larger events click on the upper part of the button (min 0.25 measures)
    6. * LE Version min 0.5 mesures or no zoom

Menu Entries

All menues marked with an * are not available in the LE Version.
  • File
    • Load Seq File
      Opens a .seq file into the editor
    • * Load Instrument Definition
      Opens a .ahi instrument Definition File
      Note: Check the extra manual for more help
    • * Import pattern
      Imports the selected pattern into editor
      Note: You need to open a seq file first see above
    • * Add pattern
      The old pattern events will not be replaces but the new events will be added to the old ones
      Note: E.g. use this to add the bass line form one pattern to the drum events of another one
    • * Import Midi
      Import Midifiles and translate them into Zoom patterns
      Note: Check the .pdf manual for more help
    • Save
      Saves the new or modified pattern into the .seq file
      Note: You need to open a seq file first see above
    • Save As
      Saves the current .seq file to another .seq file
      Note: The new .seq file will be use then
    • Exit
      Terminates the editor
  • Pattern
    • Edit pattern field
      Opens the pattern dialog to make general pattern settings
    • Copy
      Copies the current pattern to pattern selected next
    • Clear
      Clears all events for of the pattern
    • * Clear (Drums only)
      Clears all drum events
    • * Clear (Bass only)
      Clears all bass events
    • * Transpose
      Transposes the whole bass pattern (up or down)
    • * Move
      Moves all events one step
      Note: E.g. to insert another measure at the start of the pattern
    • Rename
      Rename the pattern
      Note: Use upper case letters and numbers for best display on the Zoom
  • Midi
    • Midi Device
      Select the Midi device for pattern playback
    • * Bass Sound
      Select a bass instrument
      Note: This is for PC playback only. The Zoom has it's own sounds and may sound different later
  • Windows
    • * Top
      Click 'Top' to make the window the topmost window
  • ? / Help
    • Help
      The help file will be displayed (this help)
    • FAQ / Updates / Info
      Jump to the Soundside.de supportpage
    • About
      Information about the version of the PatternEditor
  • ContextMenu
    • Undo
      undo the last step
    • Cut
      Cuts all marked events
    • Copy
      Stores all marked events (into internal memory)
    • Paste
      Copies all stored events
      Note the current mouse position will be the destination
    • * Clear
      All events after the current mouse position will be cleared
      Note: Only for the current instrument
    • * Repeat
      The events before the current mouse position will be repeated until the end of the pattern.
      Note: E.g. create the first measure only and use repeat to create the next 3 measures - this saves a lot of time. Make some small changes or use the 'natural' features (see below) to let your pattern sound more human.
    • Level
      Change the level of the current drum or bass event
      Note: Press 'Strg' to change all events of the current instruemnt, press 'Shift' set's the selected level as default level for new events
    • * Relative Level
      Changes all level values of one instrument relative to the initial value.
    • * Natural Level
      Changes the level by random. For a more human feeling.
    • * Natural Timing
      Changes the timing by random. For a more human feeling.
      Note: Use this only in high resolution settings e.g. 48ppq
    • * Transpose
      Change the octave of the bass event.
      Note: Press 'Strg' to change all events of the current pitch, press 'Shift' set's the selected octave as default for new events
Note: The context menu will be shown in case a right click is done above the event field

Toolbar Buttons

Playback/Import setting

  • The '>' button starts and stops Midi playback.
  • The speed combo box is for setting the playback speed.
  • The 'Drums on/off' box has this functions:
    • Click to toggle between drum playback on/off
    • If 'Drums' is set to off then no drum events will be imported or added via the file menu
    • Right click on the 'Drums' box to change the drum playback level
      Note: Click the upper part to increase the level or the lower part to decrease it
      * LE Version can't do this
    • Note: The 'Bass on/off' box has the same features as the 'Drums on/off' - but for bass

Pattern import features

  • Auto: toggle between automatically importing a pattern after choosing the pattern or manually importing it.
    Note: You need the manual feature to copy one pattern into another file.
    * LE Version: Auto is allways activated
  • Add: same as the 'File-Add pattern' feature. If unset than the 'File-Import pattern' feature will be used
    * LE Version can't do this
  • Fit: Fit's the number of measures while importing a pattern.
    * LE Version: Fit is allways activated

Zoom and quantize features

  • Zoom box: A Click toggles between 'Displaying all events' or 'Displaying some measures only'.
  • A right click will change the number of measures (0,25 .. 4)
    * LE Version min 0.5 mesures or no zoom
  • The quantize combo box can be changed to a value for easier entering of events. e.g. if you select '1/4' then all the entered events will be forced to stay on the beginning of an beat only.
    * LE Version can't do this

Get The Latest News

Please check www.soundside.de for the latest news, upgrades, updates and other tools for your Zoom recorder !

Version History

Changes in version in 1.0 :
Initial version

IN NO EVENT SHALL SOUNDSIDE.DE, ARMIN HEINRICH AND/OR ITS RESPECTIVE SUPPLIERS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF SOFTWARE, DOCUMENTS, PROVISION OF OR FAILURE TO PROVIDE SERVICES, OR INFORMATION AVAILABLE FROM THE SERVICES.
© 2004 - 2007 Soundside.de